diff -Naur XMLutil.bak/src/src/org/enhydra/xml/AttrImpl.java XMLutil/src/src/org/enhydra/xml/AttrImpl.java
--- XMLutil/src/src/org/enhydra/xml/AttrImpl.java	2009-09-18 17:39:19.000000000 +1200
+++ XMLutil/src/src/org/enhydra/xml/AttrImpl.java	2009-09-18 18:03:36.000000000 +1200
@@ -20,6 +20,7 @@
 
 import org.w3c.dom.Attr;
 import org.w3c.dom.Element;
+import org.w3c.dom.TypeInfo;
 
 
 /**
@@ -186,4 +187,18 @@
 	public Element getOwnerElement() {
 		return owner;
 	}
-}
\ No newline at end of file
+
+	/**
+	 * Unimplemented method included in DOM Level 3 (aka 1.5).
+	 */
+	public TypeInfo getSchemaTypeInfo() {
+		return null;
+	}
+
+	/**
+	 * Unimplemented method included in DOM Level 3 (aka 1.5).
+	 */
+	public boolean isId() {
+		return false;
+	}
+}
diff -Naur XMLutil.bak/src/src/org/enhydra/xml/CharacterDataImpl.java XMLutil/src/src/org/enhydra/xml/CharacterDataImpl.java
--- XMLutil/src/src/org/enhydra/xml/CharacterDataImpl.java	2009-09-18 17:39:19.000000000 +1200
+++ XMLutil/src/src/org/enhydra/xml/CharacterDataImpl.java	2009-09-18 18:06:38.000000000 +1200
@@ -177,5 +177,4 @@
 		return super.getNamespaceURI();
 	}
 
-
 }
diff -Naur XMLutil.bak/src/src/org/enhydra/xml/ElementImpl.java XMLutil/src/src/org/enhydra/xml/ElementImpl.java
--- XMLutil/src/src/org/enhydra/xml/ElementImpl.java	2009-09-18 17:39:19.000000000 +1200
+++ XMLutil/src/src/org/enhydra/xml/ElementImpl.java	2009-09-18 18:25:24.000000000 +1200
@@ -33,6 +33,7 @@
 import org.w3c.dom.NamedNodeMap;
 import org.w3c.dom.Node;
 import org.w3c.dom.NodeList;
+import org.w3c.dom.TypeInfo;
 
 /**
  * @author Tweety
@@ -564,4 +565,33 @@
 			    sb.append("</" + this.nodeName + ">");
 //        }
 	}
+	
+	/**
+	 * Unimplemented method included in DOM Level 3 (aka 1.5).
+	 */
+	public TypeInfo getSchemaTypeInfo() {
+		return null;
+	}
+
+	/**
+	 * Unimplemented method included in DOM Level 3 (aka 1.5).
+	 */
+	public void setIdAttribute(String name,
+			boolean idId)
+		throws DOMException { }
+
+	/**
+	 * Unimplemented method included in DOM Level 3 (aka 1.5).
+	 */
+	public void setIdAttributeNS(String name,
+			String localName,
+			boolean isId)
+		throws DOMException {}
+
+	/**
+	 * Unimplemented method included in DOM Level 3 (aka 1.5).
+	 */
+	public void setIdAttributeNode(Attr idAttr,
+			boolean isId)
+		throws DOMException {}
 }
diff -Naur XMLutil.bak/src/src/org/enhydra/xml/NodeImpl.java XMLutil/src/src/org/enhydra/xml/NodeImpl.java
--- XMLutil/src/src/org/enhydra/xml/NodeImpl.java	2009-09-18 17:39:19.000000000 +1200
+++ XMLutil/src/src/org/enhydra/xml/NodeImpl.java	2009-09-18 18:19:58.000000000 +1200
@@ -33,6 +33,7 @@
 import org.w3c.dom.NamedNodeMap;
 import org.w3c.dom.Node;
 import org.w3c.dom.NodeList;
+import org.w3c.dom.UserDataHandler;
 
 /**
  * @author Tweety
@@ -784,6 +785,92 @@
 		return sb.toString();
 	}
 
+	/**
+	 * Unimplemented method included in DOM Level 3 (aka 1.5).
+	 */
+	public String getBaseURI() {
+		return null;
+	}
+
+	/**
+	 * Unimplemented method included in DOM Level 3 (aka 1.5).
+	 */
+	public short compareDocumentPosition(Node other)
+		throws DOMException {
+		throw new DOMException(DOMException.NOT_SUPPORTED_ERR,
+			"Unimplemented method");
+	}
+
+	/**
+	 * Unimplemented method included in DOM Level 3 (aka 1.5).
+	 */
+	public String getTextContent() throws DOMException {
+		return null;
+	}
+
+	/**
+	 * Unimplemented method included in DOM Level 3 (aka 1.5).
+	 */
+	public void setTextContent(String textContent)
+		throws DOMException { }
+
+	/**
+	 * Unimplemented method included in DOM Level 3 (aka 1.5).
+	 */
+	public boolean isSameNode(Node other) {
+		return false;
+	}
+
+	/**
+	 * Unimplemented method included in DOM Level 3 (aka 1.5).
+	 */
+	public String lookupPrefix(String namespaceURI) {
+		return null;
+	}
+
+	/**
+	 * Unimplemented method included in DOM Level 3 (aka 1.5).
+	 */
+	public boolean isDefaultNamespace(String namespaceURI) {
+		return true;
+	}
+
+	/**
+	 * Unimplemented method included in DOM Level 3 (aka 1.5).
+	 */
+	public String lookupNamespaceURI(String prefix) {
+		return null;
+	}
+
+	/**
+	 * Unimplemented method included in DOM Level 3 (aka 1.5).
+	 */
+	public boolean isEqualNode(Node arg) {
+		return false;
+	}
+
+	/**
+	 * Unimplemented method included in DOM Level 3 (aka 1.5).
+	 */
+	public Object getFeature(String feature, String version) {
+		return null;
+	}
+
+	/**
+	 * Unimplemented method included in DOM Level 3 (aka 1.5).
+	 */
+	public Object setUserData(String key, Object data,
+		UserDataHandler handler) {
+		return null;
+	}
+
+	/**
+	 * Unimplemented method included in DOM Level 3 (aka 1.5).
+	 */
+	public Object getUserData(String key) {
+		return null;
+	}
+
 
 	/**
 	 * Method beginToString should be redefined in extended classes.
diff -Naur XMLutil.bak/src/src/org/enhydra/xml/TextImpl.java XMLutil/src/src/org/enhydra/xml/TextImpl.java
--- XMLutil/src/src/org/enhydra/xml/TextImpl.java	2009-09-18 17:39:19.000000000 +1200
+++ XMLutil/src/src/org/enhydra/xml/TextImpl.java	2009-09-18 18:27:04.000000000 +1200
@@ -161,4 +161,26 @@
 
     }
 
+	/**
+	 * Unimplemented method included in DOM Level 3 (aka 1.5).
+	 */
+	public boolean isElementContentWhitespace() {
+		return false;
+	}
+
+	/**
+	 * Unimplemented method included in DOM Level 3 (aka 1.5).
+	 */
+	public String getWholeText() {
+		return null;
+	}
+
+	/**
+	 * Unimplemented method included in DOM Level 3 (aka 1.5).
+	 */
+	public Text replaceWholeText(String content)
+		throws DOMException {
+		return null;
+	}
+
 }
